/* --------------------------------------------------
   Contentblok Team overzicht
-------------------------------------------------- */

.contentblok.team_overzicht {
	padding-top: 5rem;
}

.contentblok.team_overzicht .content_top {
	margin-bottom: 4rem;
}

.row_team_overzicht {
	--bs-gutter-y: 3rem;
}


/* --------------------------------------------------
   Team slider / grid
-------------------------------------------------- */

.team_slider_swiper {
	overflow: visible;
}
.team_slider_swiper .swiper-slide {
	text-align: center;
	height: auto;
}


/* --------------------------------------------------
   Team item
-------------------------------------------------- */

.team_item {
	position: relative;
	text-decoration: none;
	padding: 0;
	text-align: center;
	width: 100%;

	padding: 2rem 2rem 0;
}

span.team_item_foto_container {
	position: relative;
	display: block;
	width: 22.3rem;
	max-width: 100%;
	isolation: isolate;
	margin-bottom: 2.4rem
}

span.team_item_foto_container img {
	border-radius: 50%;
}

span.team_item_bg_blob {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 25.5rem;
	max-width: 115%;
	opacity: 0;
	z-index: 1;
	pointer-events: none;
	transform: translate(-50%, -50%) scale(0.6);
	-webkit-transition: all 0.3s ease-out;
	transition: all 0.3s ease-out;
}

span.team_item_foto {
	position: relative;
	display: block;
	overflow: hidden;
	opacity: 1;
	z-index: 2;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}

span.team_item_foto_hover {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	opacity: 0;
	z-index: 3;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}

.team_item:hover span.team_item_bg_blob {
	opacity: 1;
	transform: translate(-50%, -50%) scale(1);
}

span.team_item_bg_blob svg {
	display: block;
	width: 100%;
	height: auto;
}
span.team_item_bg_blob svg {
	display: block;
	width: 100%;
	height: auto;
	filter: drop-shadow(0 0 40px rgba(123, 55, 232, 0.35));
}

span.team_item_bg_blob path {
}

.team_item:hover span.team_item_bg_blob {
	opacity: 1;
	transform: translate(-50%, -50%) scale(1);
}

.team_item:hover span.team_item_foto {
	opacity: 0;
}

.team_item:hover span.team_item_foto_hover {
	opacity: 1;
}


/* --------------------------------------------------
   Team tekst
-------------------------------------------------- */

span.team_item_titel {
	display: block;
	color: var(--kleur-beige);
	font-family: "alverata-informal", sans-serif;
	font-size: 2rem;
	font-weight: 700;
	font-style: normal;
	letter-spacing: normal;
	line-height: 3rem;
	margin-bottom: 0.4rem;
}

span.team_item_functies {
	display: block;
	color: var(--kleur-roze);
	font-size: 1.5rem;
	font-weight: 400;
	font-style: normal;
	letter-spacing: normal;
	line-height: 2rem;
	margin-bottom: 1.3rem;
}

span.team_item_functie {
	position: relative;
	display: inline-block;
}

span.team_item_functie::before {
	content: "•";
	position: relative;
	display: inline-block;
	color: var(--kleur-roze);
	margin: 0 0.8rem;
}

span.team_item_functie:first-of-type::before {
	display: none;
}


/* --------------------------------------------------
   Social buttons
-------------------------------------------------- */

.team_item_social_buttons {
    margin-top: 0.8rem;
	margin-bottom: 3.2rem;
}

.team_item_social_buttons a {
	position: relative;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	margin: 0 1.2rem;
	color: var(--kleur-wit);
	text-decoration: none;
}
.team_item_social_buttons i {
	position: relative;
	margin-right: 0.8rem;
}
.team_item_social_buttons i::after { 
	content: "";
	position: absolute;
	display: block;
	width: 3.2rem;
	height: 3.2rem;
	border-radius: 50%;
	top: 50%;
	left: 50%;
	background-color: var(--kleur-roze);
	transform: translate(-50%, -50%) scale(0.8);
	z-index: -1;
	opacity: 0;
	transform-origin: center;
	-webkit-transition: all 0.2s ease-out; 
	transition: all 0.2s ease-out;
}

.team_item_social_buttons a:hover {
	color: var(--kleur-roze);
}
.team_item_social_buttons a:hover i {
	color: var(--kleur-blauw);
}

.team_item_social_buttons a:hover i::after {
	opacity: 1;
	transform: translate(-50%, -50%) scale(1);
}


/* --------------------------------------------------
   Team content
-------------------------------------------------- */

span.team_item_content {
	display: block;
	text-align: center;
	color: var(--kleur-beige);
	font-family: "degular", sans-serif;
	font-size: 1.7rem;
	font-weight: 400;
	font-style: normal;
	letter-spacing: normal;
	line-height: 3rem;
	padding: 0 2.4rem;
}

.contentblok.team_overzicht .swiper_navigation_container {
	margin-top: 4rem;
}


/* --------------------------------------------------
   Responsive
-------------------------------------------------- */

@media (min-width: 768px) {
	.contentblok.team_overzicht {
		padding-top: 5rem;
	}

	.contentblok.team_overzicht .content_top {
		margin-bottom: 5rem;
	}

	span.team_item_foto_container {
		margin-bottom: 4.8rem;
	}

	span.team_item_titel {
		margin-bottom: 0.9rem;
	}

	span.team_item_functies {
		margin-bottom: 0.8rem;
	}
}

@media (min-width: 992px) {
	.contentblok.team_overzicht {
		padding-top: 10rem;
	}

	.contentblok.team_overzicht .content_top {
		margin-bottom: 6rem;
	}
}

@media (min-width: 1400px) {

	.team_slider_swiper .swiper-wrapper {
		display: flex;
		flex-wrap: wrap;
		transform: translate3d(0, 0, 0) !important;

		--team-gutter-x: 12rem;
		--team-gutter-y: 8rem;

		margin-left: calc(var(--team-gutter-x) / -2);
		margin-right: calc(var(--team-gutter-x) / -2);
		margin-top: calc(var(--team-gutter-y) * -1);
	}

	.team_slider_swiper .swiper-slide {
		width: 33.3333333333% !important;
		height: auto;
		flex: 0 0 auto;
        padding-right: calc(var(--bs-gutter-x) / 2);
        padding-left: calc(var(--bs-gutter-x) / 2);
		margin-top: var(--team-gutter-y);
		/* margin-right: 0 !important; */
	}

	.team_slider_swiper .swiper-slide.swiper-slide-duplicate {
		display: none !important;
	}
}